{
  "name": "pdf_tech_front_end",
  "version": "0.0.0",
  "scripts": {
    "dev": "vite --mode development",
    "preparing": "vite --mode preparing build",
    "build": "vite --mode production build",
    "preview": "vite preview --port 4173",
    "test:unit": "vitest --environment jsdom",
    "test:e2e": "start-server-and-test preview http://localhost:4173/ 'cypress open --e2e'",
    "test:e2e:ci": "start-server-and-test preview http://localhost:4173/ 'cypress run --e2e'",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs --fix --ignore-path .gitignore"
  },
  "dependencies": {
    "axios": "^1.2.1",
    "crypto-js": "^4.1.1",
    "echarts": "^5.4.1",
    "element-ui": "^2.15.12",
    "pinia": "^2.0.16",
    "qs": "^6.11.0",
    "sass": "^1.57.1",
    "vue": "^2.7.7",
    "vue-cookies": "^1.8.2",
    "vue-router": "^3.5.4"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.1.0",
    "@vitejs/plugin-legacy": "^2.0.0",
    "@vitejs/plugin-vue2": "^1.1.2",
    "@vue/eslint-config-prettier": "^7.0.0",
    "@vue/test-utils": "^1.3.0",
    "cypress": "^10.3.0",
    "eslint": "^8.5.0",
    "eslint-plugin-cypress": "^2.12.1",
    "eslint-plugin-vue": "^9.0.0",
    "jsdom": "^20.0.0",
    "prettier": "^2.5.1",
    "start-server-and-test": "^1.14.0",
    "terser": "^5.14.2",
    "vite": "^3.0.2",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-windicss": "^1.8.10",
    "vitest": "^0.18.1",
    "vue-template-compiler": "^2.7.7",
    "windicss": "^3.5.6"
  }
}
